using OneReview.DependencyInjection;
using OneReview.RequestPipeline;

WebApplicationBuilder builder = WebApplication.CreateBuilder(args);
{
    // configure services (DI)
    _ = builder.Services.AddServices();
    _ = builder.Services.AddControllers();
}
WebApplication app = builder.Build();
{
    // configure request pipeline
    _ = app.MapControllers();
    _ = app.InitializeDatabase();
}
app.Run();
